libsigc++ 2.0: sigc::slot0< T_return > Class Template Reference

Main Page Groups Namespaces

# sigc::slot0< T_return > Class Template Reference
[Slots]

Converts an arbitrary functor to a unified type which is opaque. More...

Inheritance diagram for sigc::slot0< T_return >:

[legend]

List of all members.

## Public Types
typedef T_return | result_type
## Public Member Functions
T_return | operator() () const
| Invoke the contained functor unless slot is in blocking state.
| slot0 ()
template<class T_functor>
| slot0 (const T_functor& _A_func)
| Constructs a slot from an arbitrary functor.
| slot0 (const slot0& src)
slot0& | operator= (const slot0& src)
| Overrides this slot making a copy from another slot.

## Detailed Description

### template <class T_return>
class sigc::slot0< T_return >

Converts an arbitrary functor to a unified type which is opaque.

sigc::slot itself is a functor or to be more precise a closure. It contains a single, arbitrary functor (or closure) that is executed in operator()().

The template arguments determine the function signature of operator()():

- T_return The return type of operator()().

To use simply assign the slot to the desired functor. If the functor is not compatible with the parameter list defined with the template arguments compiler errors are triggered. When called the slot will invoke the functor with minimal copies. block() and unblock() can be used to block the functor's invocation from operator()() temporarily.

You should use the more convenient unnumbered sigc::slot template.

## Member Typedef Documentation

template <class T_return>

typedef T_return sigc::slot0<T_return>::result_type

## Constructor & Destructor Documentation

template <class T_return>

sigc::slot0<T_return>::slot0 | ( |  | ) | `[inline]`

template <class T_return>
template <class T_functor>

sigc::slot0<T_return>::slot0 | ( | const T_functor & | _A_func | ) | `[inline]`

Constructs a slot from an arbitrary functor.

Parameters:

  | _A_func | The desirer functor the new slot should be assigned to.

template <class T_return>

sigc::slot0<T_return>::slot0 | ( | const slot0<T_return>& | src | ) | `[inline]`

## Member Function Documentation

template <class T_return>

T_return sigc::slot0<T_return>::operator() | ( |  | ) | const`[inline]`

Invoke the contained functor unless slot is in blocking state.

Returns:
  The return value of the functor invocation.

template <class T_return>

slot0& sigc::slot0<T_return>::operator= | ( | const slot0<T_return>& | src | ) | `[inline]`

Overrides this slot making a copy from another slot.

Parameters:

  | src | The slot from which to make a copy.

Returns:
  `this`.

The documentation for this class was generated from the following file:

- functors/slot.h